- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ipa_group – Manage FreeIPA group

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Add, modify and delete group within IPA server

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cn - / required |  | Canonical name. Can not be changed as it is the unique identifier. aliases: name
description - |  | Description of the group.
external boolean | Choices: no yes | Allow adding external non-IPA members from trusted domains.
gidnumber - |  | GID (use this option to set it manually). aliases: gid
group - |  | List of group names assigned to this group. If an empty list is passed all groups will be removed from this group. If option is omitted assigned groups will not be checked or changed. Groups that are already assigned but not passed will be removed.
ipa_host string | Default: "ipa.example.com" | IP or hostname of IPA server. If the value is not specified in the task, the value of environment variable `IPA_HOST` will be used instead. If both the environment variable `IPA_HOST` and the value are not specified in the task, then DNS will be used to try to discover the FreeIPA server. The relevant entry needed in FreeIPA is the 'ipa-ca' entry. If neither the DNS entry, nor the environment `IPA_HOST`, nor the value are available in the task, then the default value will be used. Environment variable fallback mechanism is added in Ansible 2.5.
ipa_pass string / required |  | Password of administrative user. If the value is not specified in the task, the value of environment variable `IPA_PASS` will be used instead. Note that if the 'urllib_gssapi' library is available, it is possible to use GSSAPI to authenticate to FreeIPA. If the environment variable `KRB5CCNAME` is available, the module will use this kerberos credentials cache to authenticate to the FreeIPA server. If the environment variable `KRB5_CLIENT_KTNAME` is available, and `KRB5CCNAME` is not; the module will use this kerberos keytab to authenticate. If GSSAPI is not available, the usage of 'ipa_pass' is required. Environment variable fallback mechanism is added in Ansible 2.5.
ipa_port integer | Default: 443 | Port of FreeIPA / IPA server. If the value is not specified in the task, the value of environment variable `IPA_PORT` will be used instead. If both the environment variable `IPA_PORT` and the value are not specified in the task, then default value is set. Environment variable fallback mechanism is added in Ansible 2.5.
ipa_prot string | Choices: http https ← | Protocol used by IPA server. If the value is not specified in the task, the value of environment variable `IPA_PROT` will be used instead. If both the environment variable `IPA_PROT` and the value are not specified in the task, then default value is set. Environment variable fallback mechanism is added in Ansible 2.5.
ipa_timeout integer added in 2.7 | Default: 10 | Specifies idle timeout (in seconds) for the connection. For bulk operations, you may want to increase this in order to avoid timeout from IPA server. If the value is not specified in the task, the value of environment variable `IPA_TIMEOUT` will be used instead. If both the environment variable `IPA_TIMEOUT` and the value are not specified in the task, then default value is set.
ipa_user string | Default: "admin" | Administrative account used on IPA server. If the value is not specified in the task, the value of environment variable `IPA_USER` will be used instead. If both the environment variable `IPA_USER` and the value are not specified in the task, then default value is set. Environment variable fallback mechanism is added in Ansible 2.5.
nonposix boolean | Choices: no yes | Create as a non-POSIX group.
state - | Choices: present ← absent | State to ensure
user - |  | List of user names assigned to this group. If an empty list is passed all users will be removed from this group. If option is omitted assigned users will not be checked or changed. Users that are already assigned but not passed will be removed.
validate_certs boolean | Choices: no yes ← | This only applies if `ipa_prot` is https. If set to `no`, the SSL certificates will not be validated. This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    # Ensure group is present
    - ipa_group:
        name: oinstall
        gidnumber: 54321
        state: present
        ipa_host: ipa.example.com
        ipa_user: admin
        ipa_pass: topsecret

    # Ensure that groups sysops and appops are assigned to ops but no other group
    - ipa_group:
        name: ops
        group:
        - sysops
        - appops
        ipa_host: ipa.example.com
        ipa_user: admin
        ipa_pass: topsecret

    # Ensure that users linus and larry are assign to the group, but no other user
    - ipa_group:
        name: sysops
        user:
        - linus
        - larry
        ipa_host: ipa.example.com
        ipa_user: admin
        ipa_pass: topsecret

    # Ensure group is absent
    - ipa_group:
        name: sysops
        state: absent
        ipa_host: ipa.example.com
        ipa_user: admin
        ipa_pass: topsecret

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
group dictionary | always | Group as returned by IPA API

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Thomas Krahn (@Nosmoht)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.